using SqlSugar;

namespace DeviceRepair.Models
{
    [SugarTable("View_GetCurrentMonthPlanTips")]
    public class View_CurrentMonthPlanTips
    {
        /// <summary>
        /// 计划表主键 ID
        /// </summary>
        [SugarColumn(ColumnName = "AutoID")]
        public int AutoID { get; set; }

        /// <summary>
        /// 设备表主键 ID
        /// </summary>
        [SugarColumn(ColumnName = "EquipmentAutoID")]
        public int EquipmentAutoID { get; set; }

        /// <summary>
        /// 设备 ID
        /// </summary>
        [SugarColumn(ColumnName = "EquipmentID")]
        public string EquipmentID { get; set; }

        /// <summary>
        /// 设备名称
        /// </summary>
        [SugarColumn(ColumnName = "EquipmentName")]
        public string EquipmentName { get; set; }

        /// <summary>
        /// 设备安装地点
        /// </summary>
        [SugarColumn(ColumnName = "InstallationLocation")]
        public string InstallationLocation { get; set; }

        /// <summary>
        /// 点检表表单主键 ID
        /// </summary>
        [SugarColumn(ColumnName = "FormAutoID")]
        public int FormAutoID { get; set; }

        /// <summary>
        /// 点检表编码
        /// </summary>
        [SugarColumn(ColumnName = "FormCode")]
        public string FormCode { get; set; }

        /// <summary>
        /// 点检表 Rev
        /// </summary>
        [SugarColumn(ColumnName = "FormRev")]
        public string FormRev { get; set; }

        /// <summary>
        /// 设备类型
        /// </summary>
        [SugarColumn(ColumnName = "MaintenanceType")]
        public string MaintenanceType { get; set; }

        [SugarColumn(IsIgnore = true)]
        public string MaintenanceTypeLabelText
        {
            get
            {
                string Text = "";
                switch (MaintenanceType?.ToUpper())
                {
                    case "MONTHLY":
                        Text = "月度保养";
                        break;
                    case "QUARTERLY":
                        Text = "季度保养";
                        break;
                    case "ANNUAL":
                        Text = "年度保养";
                        break;
                    case "SEMI-AN":
                        Text = "半年保养";
                        break;
                    default:
                        break;
                }
                return Text;
            }
        }

        [SugarColumn(IsIgnore = true)]
        public string MaintenanceTypeText
        {
            get
            {
                string Text = "";
                switch (MaintenanceType?.ToUpper())
                {
                    case "MONTHLY":
                        Text = "月度保养";
                        break;
                    case "QUARTERLY":
                        Text = "季度保养";
                        break;
                    case "ANNUAL":
                        Text = "年度保养";
                        break;
                    case "SEMI-AN":
                        Text = "年度保养";
                        break;
                    default:
                        break;
                }
                return Text;
            }
        }
    }
}
